// @flow
import _ from 'lodash';
import {default as settings} from 'settings';
import {transformGetRequest} from 'helpers';

export default (baseURL: string = settings.BASE_URL) => ({
	crud: true,

	transformer: (
		response: {data: Object},
		prevData: Object,
		options?: Object,
	) => transformGetRequest(response, data => _.defaultsDeep(data, {
		actual_cost      : '',
		budget           : '',
		description      : '',
		expected_response: '',
		expected_revenue : '',
		number_sent      : '',
	}), options),

	url: `${baseURL}/API/campaigns/:id`,
});
