// @flow
import _ from 'lodash';
import {default as settings} from 'settings';
import {transformGetRequest} from 'helpers';

export default (baseURL: string = settings.BASE_URL) => ({
	crud: true,

	transformer: (
		response: {data: Object},
		prevData: Object,
		options?: Object,
	) => transformGetRequest(response, data => _.defaultsDeep(data, {
		assesment_and_taxes: {municipality_file_number: ''},
		space              : {floor_no: '', no_of_rooms: ''},
	}), options),

	url: `${baseURL}/API/properties/:id`,
});
